=== debian/changelog ===
libfreeaptx (0.1.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Oct 2022 15:38:37 -0700

libfreeaptx (0.1.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Sep 2022 15:37:35 +0200

libfreeaptx (0.1.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/tests:
    - include build, encore and decode autopkgtests (Closes: #1011352)

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 25 May 2022 10:15:48 +0900

libfreeaptx (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #995607)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 17 Dec 2021 20:05:02 +0900
