=== debian/control ===
Source: libfreeaptx
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/iamthehorker/libfreeaptx
Vcs-Browser: https://salsa.debian.org/debian/libfreeaptx
Vcs-Git: https://salsa.debian.org/debian/libfreeaptx.git
Rules-Requires-Root: no

Package: libfreeaptx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfreeaptx0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for Free implementation of aptX
 libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
 continuing under a free license without the additional license restriction
 added to libopenaptx 0.2.1.
 .
 This package contains development files for libfreeaptx.

Package: libfreeaptx0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Free implementation of aptX
 libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
 continuing under a free license without the additional license restriction
 added to libopenaptx 0.2.1.
 .
 The initial version of libfreeaptx was reset to 0.1.0 to prevent confusion
 between the two projects.

Package: freeaptx-utils
Architecture: any
Multi-Arch: no
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utility tools for Free implementation of aptX
 libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
 continuing under a free license without the additional license restriction
 added to libopenaptx 0.2.1.
 .
 This package contains utility tools such as freeaptxdec and freeaptxenc.
