## libfreeaptx 0.2.2

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 NAME = freeaptx
 MAJOR = 0
-MINOR = 1
-PATCH = 1
+MINOR = 2
+PATCH = 2
 
 LIBNAME = lib$(NAME).so
 SONAME = $(LIBNAME).$(MAJOR)
