=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libfreeaptx
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/iamthehorker/libfreeaptx
 Vcs-Browser: https://salsa.debian.org/debian/libfreeaptx
@@ -14,7 +13,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libfreeaptx0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libfreeaptx0 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Development files for Free implementation of aptX
  libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
  continuing under a free license without the additional license restriction
@@ -25,7 +26,9 @@
 Package: libfreeaptx0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Free implementation of aptX
  libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
  continuing under a free license without the additional license restriction
@@ -38,7 +41,9 @@
 Architecture: any
 Multi-Arch: no
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Utility tools for Free implementation of aptX
  libfreeaptx is based on version 0.2.0 of libopenaptx with the intent of
  continuing under a free license without the additional license restriction
