=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=lib/$(DEB_HOST_MULTIARCH)
