=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libfreeaptx-$1\.tar\.gz/ \
  https://github.com/iamthehorker/libfreeaptx/tags .*/v?(\d\S+)@ARCHIVE_EXT@
